<?php 
/*
# ------------------------------------------------------------------------
# Extensions for Joomla 2.5.x - Joomla 3.x - Joomla 4.x
# ------------------------------------------------------------------------
# Copyright (C) 2011-2020 Eco-Joom.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2.
# Author: Eco-Joom.com
# Author: Makeev Vladimir
#Author email: v.v.makeev@icloud.com
# Websites:  http://eco-joom.com
# Date modified: 05/05/2020 - 13:00
# ------------------------------------------------------------------------
*/

// no direct access
defined('_JEXEC') or die;
$document 				= JFactory::getDocument();
$document->addStyleSheet(JURI::base() . 'modules/mod_ext_dropdown_box_custom_html/assets/css/default.css');
$moduleclass_sfx		= $params->get('moduleclass_sfx');
$ext_id					= $params->get('ext_id', 'id1');
$ext_scroll				= (int)$params->get('ext_scroll', 300);
$ext_width				= (int)$params->get('ext_width', 350);
$ext_height				= (int)$params->get('ext_height', 100);
$ext_position			= $params->get('ext_position', 'bottom');	
$ext_align				= $params->get('ext_align', 'right');
$ext_speed_open			= (int)$params->get('ext_speed_open', 300);
$ext_speed_close		= (int)$params->get('ext_speed_close', 100);
$html 					= $params->get('html');
$ext_jquery_ver			= $params->get('ext_jquery_ver', '1.9.1');
$ext_load_jquery		= (int)$params->get('ext_load_jquery', 1);
$ext_load_scripts		= (int)$params->get('ext_load_scripts', 1);


if ($ext_load_scripts == 0) {
	if ($ext_load_jquery  > 0) {
		$document->addScript('http://ajax.googleapis.com/ajax/libs/jquery/'.$ext_jquery_ver.'/jquery.min.js');
		}
	$document->addCustomTag('<script type = "text/javascript">if (jQuery) jQuery.noConflict();</script>');
	}
	
if ($ext_load_scripts == 1) {
	if ($ext_load_jquery  > 0) {
		$document->addCustomTag('<script type = "text/javascript" src = "http://ajax.googleapis.com/ajax/libs/jquery/'.$ext_jquery_ver.'/jquery.min.js"></script>');		
		}
	$document->addCustomTag('<script type = "text/javascript">if (jQuery) jQuery.noConflict();</script>');	
	}


require JModuleHelper::getLayoutPath('mod_ext_dropdown_box_custom_html', $params->get('layout', 'default'));
?>